// This program showns how to pass command line arguments to an executable
//To run in the environment, Go to the Project Windows Options>>Comand Line 
//and type in the arguments there.  To run the executable from the Start>>Run
//box, type the path to the executable with the command line arguments after it.


#include <utility.h>
#include <ansi_c.h>


// This format must be used for the main function of the program you want to
// Create as a standalone executable and pass command line arguments to.
// Select Edit >> Insert Construct >> Main will give you a main routine with
// This format

int main (int argc, char *argv[])
{
	int x;

	Cls();

// argc contains a count of the command line arguments.  A space is taken as
// The stopping point between argument.  The name of the executable that is
// called will be the first command line argument returned.
	
	printf("The number of parameters passed to me was %i\n\n", argc);

// argv is an array of character pointers to each of the command line
// arguments passed to the executable.  They are printed out in the loop below.
// To see how this works run the stand alone executable created with this source
// Code with some command line arguments.

	printf("The parameters are shown in the list below\n\n");
	
	for (x = 0; x < argc; x++)
	{
		printf("%s\n", argv[x]);
	}
	
	GetKey();
	
	return 0;
}
